GNU bug report logs - #36745
27.0.50; completing-read with require-match nil does not accept spaces

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Jean Louis <bugs@HIDDEN>; dated Sat, 20 Jul 2019 19:04:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 36745 <at> debbugs.gnu.org:


Received: (at 36745) by debbugs.gnu.org; 22 Jul 2019 00:03:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 21 20:03:21 2019
Received: from localhost ([127.0.0.1]:59713 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hpLnV-0001Dm-Aq
	for submit <at> debbugs.gnu.org; Sun, 21 Jul 2019 20:03:21 -0400
Received: from userp2130.oracle.com ([156.151.31.86]:50098)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1hpLnT-0001DX-4A
 for 36745 <at> debbugs.gnu.org; Sun, 21 Jul 2019 20:03:19 -0400
Received: from pps.filterd (userp2130.oracle.com [127.0.0.1])
 by userp2130.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x6LNx40o155802;
 Mon, 22 Jul 2019 00:03:12 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : cc : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2018-07-02;
 bh=3fw4VKKY4xMLhm4PoYTs9HDqfeys/2RraUpq8R3jN1g=;
 b=yZd5ghHiId/WqUVAOAndJnayh8i25l4sfYtOBgt530+swZBz0acalfqWAX0zOJzRFr5i
 zKOs2wbPYbiHWjYIw1FffB60f0JEjj2OTB5AGFCN6DIUgK5nNyaj/bWqPHiKsvYjjLD1
 xwE6jQXwSd118T+NtKCTjVhy3GXbZuKms0aA9r88NTJ4hJlNfCkfnXEKy0zk7AD2mR5J
 2aLAQ49vo85w9RVDqUnz0YgN29EhIsKrCLHvciRF7ykFXvq9VM2gqHiYNfMCeUmyXVPY
 JzKh+mVQD+nmmof91+6JE0QZCxcUbvPG8amrs6ZMFCQVmFZ4+WIX4MwDVSpDOETtgL9S NQ== 
Received: from userp3020.oracle.com (userp3020.oracle.com [156.151.31.79])
 by userp2130.oracle.com with ESMTP id 2tutct3mk4-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Mon, 22 Jul 2019 00:03:12 +0000
Received: from pps.filterd (userp3020.oracle.com [127.0.0.1])
 by userp3020.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x6M02tgK034850;
 Mon, 22 Jul 2019 00:03:11 GMT
Received: from aserv0122.oracle.com (aserv0122.oracle.com [141.146.126.236])
 by userp3020.oracle.com with ESMTP id 2tut9kynu2-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Mon, 22 Jul 2019 00:03:11 +0000
Received: from abhmp0017.oracle.com (abhmp0017.oracle.com [141.146.116.23])
 by aserv0122.oracle.com (8.14.4/8.14.4) with ESMTP id x6M035UM027905;
 Mon, 22 Jul 2019 00:03:10 GMT
MIME-Version: 1.0
Message-ID: <d1042fbb-8a8d-4758-a7bb-18273c3e361c@default>
Date: Sun, 21 Jul 2019 17:03:05 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>, Jean Louis <bugs@HIDDEN>
Subject: RE: bug#36745: 27.0.50; completing-read with require-match nil does
 not accept spaces
References: <86blxoil4q.fsf@HIDDEN> <87o91oxojr.fsf@HIDDEN>
 <20190721072713.GA13058@HIDDEN> <87muh70y5p.fsf@HIDDEN>
In-Reply-To: <87muh70y5p.fsf@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.4873.0 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9325
 signatures=668684
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 mlxscore=0 mlxlogscore=689
 adultscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.0.1-1810050000 definitions=main-1907210283
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9325
 signatures=668684
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0
 priorityscore=1501 malwarescore=0
 suspectscore=0 phishscore=0 bulkscore=0 spamscore=0 clxscore=1015
 lowpriorityscore=0 mlxscore=0 impostorscore=0 mlxlogscore=741 adultscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.0.1-1810050000
 definitions=main-1907210282
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36745
Cc: 36745 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> I don't like the behavior of space not just inserting
> a space - I get angry every time this happens.
> I wonder what others do think about it.

+1.  (I've already stated my agreement on that.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36745; Package emacs. Full text available.

Message received at 36745 <at> debbugs.gnu.org:


Received: (at 36745) by debbugs.gnu.org; 21 Jul 2019 23:24:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 21 19:24:46 2019
Received: from localhost ([127.0.0.1]:59683 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hpLCA-0000DE-0X
	for submit <at> debbugs.gnu.org; Sun, 21 Jul 2019 19:24:46 -0400
Received: from mout.web.de ([212.227.15.3]:55383)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1hpLC9-0000Cr-1u
 for 36745 <at> debbugs.gnu.org; Sun, 21 Jul 2019 19:24:45 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1563751443;
 bh=Z/S/1Y1xCoN4296NRYbfCqxTWj2WjBSIryVKaAoiPek=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=CSpfUpsv48fFJhK3TtuYD5FsJP5K5wCAQjq9DypvuE6MbqMYQ1i5J4eKf9UkQmh/v
 yuh2JC5hN/TKAnx0/VzXOUdez3pHHVdXf3VDX4KjKbSmgyKgaNYBQXaebZAWo7t/RO
 vKecgw+EwHrGsmrQzFzI1W/fNQpf8IrLYb2daPzs=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([92.208.178.242]) by smtp.web.de (mrweb004
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0LzmLr-1iTVdw2Bed-014z4Z; Mon, 22
 Jul 2019 01:24:03 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Jean Louis <bugs@HIDDEN>
Subject: Re: bug#36745: 27.0.50; completing-read with require-match nil does
 not accept spaces
References: <86blxoil4q.fsf@HIDDEN> <87o91oxojr.fsf@HIDDEN>
 <20190721072713.GA13058@HIDDEN>
Date: Mon, 22 Jul 2019 01:24:02 +0200
In-Reply-To: <20190721072713.GA13058@HIDDEN> (Jean Louis's
 message of "Sun, 21 Jul 2019 09:27:13 +0200")
Message-ID: <87muh70y5p.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:px31TjPmoEPat/T1YKBJZrv2hJ47bw5yBzkYkXxRYYWIqESr+zD
 z2yOOl0Fmfhi7dnGKcpN5GIJmObFka8wWpt6ah32d9B9AovRVd7FqmVChRlhTJW1eqnbvCg
 AzzsT9qRfCLV/B83hkXYIyHgC3G9zl5pNoAZsJGMroXSiCEIRyyLg27eksaDz4E5+g/D6ui
 SV5r7HHUPVjYsmtfasMJg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:UuyMCizw5WI=:13ZdbmWN6yqmaj8CHdgCA/
 r8c+V10AiCcTt5j70pVrcjwh++KGJjh6YE+kqDJqFAf0/5l8UveNijien/vNZImJAUpVtt/Cy
 OEc59xRRQA43JLgpQ2OJA9PGcO3VF+TAkT/Pz0H41kiWLPzTl3A6p8G8TzUSlGyMKPTgvwvB1
 CDSmvTpSZOt52xgzNLfxwBswIzQ0MDnXR4Qv3VRv6N3YX8SC2pxEqB20iBdngK0a+zH39I3EP
 VU2UCXsR98ePOMgISIsR8VzMuJvvh5Tbf8b02UmFn1eo0xGBujo5X4XFjffrXsPXcAXPUz9n6
 y7qZ4Ro/wTZRPnpnC1G7TxIpLxFw90+3ICoJyfqXGX+YiUYgar4IJ+n6R9Yn4ivw7bHY88kfc
 cYfbFHbT7mQTc1BrmYvplamvt9sqr/n/aMDYfbljccz0MpdI5b6BlMAVEUzR4JPeXd6WBlmqy
 pWyCBbZ9FD12ueXdcmc8OBWXJn8qtiOFgjGNS4SUMfN7CB+PMXof0wN+lN1QNGMern5e3JWmY
 dVBatqHrIuMb4Fs2+DazrsZUxt1SIfvSAyuKn0cudxL+i/fyriJcizHtd9NMrXguE/Ezjy1nz
 t6O0uUET6ejvZ+x3WztGJ9UFx4LJD/K7m0FsSWMY7rnaWglExmHpwdF7bPTZ0GDtJObepiNyz
 VAgDdORQ/gt5Il6g7rGyQJFajmhqfu/SyzloXYdGp9crtCrYk8r3g6K7wjTQtbSZGpdVpTE94
 EHyQ4IkxP5NDCIPWBLU/7TPnQciaGbH7L4JBWopAuX534l7D96jj0HIIWGNbmSJ0lgiA8/scj
 WihKzcPAWjhykHIyxzHo0tnltX6s9YwPHL1ylXsKDZdPxEhH/A6BqZRGX2Os9igASvtFfOoLO
 17hD5KU6LeFObdW+/Yq8lDFRTzgmPteClpGn3d0WeIYqqyqnSrJ/2Aps24BDhLpPGHT2X/0H5
 uCw6JM7GHnRogpYcR6Wsnn46fX8RNPcfVLe+UACDS2Yy/3EMk/Z9lOAtcL+XR4kHgwVPP6QFX
 i36DF+BB0c8qOdRVuZCDuOSEt5QNQDxoj8WWxSRPMvGOqT7e1EIZnbqx47SqIPnYvZgJ10PAt
 02k4Wi+vqo7M+SolJL00j2Q2kmfigrSc87t
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36745
Cc: 36745 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Jean Louis <bugs@HIDDEN> writes:

> The only change would be that after after first non-matching word if
> space is used, the space is added even though completion did not
> match.

It could still be confusing if SPC sometimes works as
insert-a-space-char key and sometimes not.  You still couldn't rely on
it inserting a space, and your brain would still have to remember that
it could mean trouble.

Anyway, my opinion doesn't matter much.  I don't like the behavior of
space not just inserting a space - I get angry every time this happens.
I wonder what others do think about it.

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36745; Package emacs. Full text available.

Message received at 36745 <at> debbugs.gnu.org:


Received: (at 36745) by debbugs.gnu.org; 21 Jul 2019 19:54:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 21 15:54:12 2019
Received: from localhost ([127.0.0.1]:59553 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hpHuN-0001WY-MI
	for submit <at> debbugs.gnu.org; Sun, 21 Jul 2019 15:54:11 -0400
Received: from mout.web.de ([212.227.15.3]:52307)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1hpHuL-0001WI-K3
 for 36745 <at> debbugs.gnu.org; Sun, 21 Jul 2019 15:54:10 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1563738808;
 bh=lLZHZrVFWAWsQFCGta76FcEWU1THjSwBpFeQJVsneyo=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=oZVyqi8hjwHPO6X7ehoVgQ2ejqvDfrUjhNlModre11G7bJZV3Lo3dCV5OgUQ0gffN
 PZBzEcVP9an99e6o0t1hhOGZ8BwYc6JTi+RiaHm2ckhxfcaOThr7Lg/cihBQTg7uFS
 qxHLIJq5UOfETDAA6EImoEjDlYd2UhyqwTq/fMEM=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([92.208.178.242]) by smtp.web.de (mrweb004
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0MhOpG-1i2z1e0IT4-00Mbmt; Sun, 21
 Jul 2019 21:53:28 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Jean Louis <bugs@HIDDEN>
Subject: Re: bug#36745: 27.0.50; completing-read with require-match nil does
 not accept spaces
References: <86blxoil4q.fsf@HIDDEN> <87o91oxojr.fsf@HIDDEN>
 <20190721072713.GA13058@HIDDEN>
Date: Sun, 21 Jul 2019 21:53:26 +0200
In-Reply-To: <20190721072713.GA13058@HIDDEN> (Jean Louis's
 message of "Sun, 21 Jul 2019 09:27:13 +0200")
Message-ID: <87y30r17wp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:CmdNgdY1Jm9Pb9/40ZoSHajVf7mxc0MqkSuYTSNr/7v1K4TOi+a
 fk+jdKZNmPDrRBsK1QdkSl74hh3k6zDgXRfJ5Cs8n28SaUz3ruRV8JKUt86z1XGoyuTPP0D
 ahfpGxJHU9RaCwoXIKVBA5dV92QiRtSBd7zwztFJlUddeOEzw0QD2+drJOGtRfVTq3sA43i
 dqJRhnOBOLGVVVeYw35jg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:SH53L1he5lc=:QfFqVOvSAchq6uVCL/XRRs
 fmq1rp9kiO7cKkbJYm4RxRDd9w8hKrYC3kwKTX//9TGQPSuawo1t8MaPHopM88WcUgpvuPbiN
 1zRz63s9AlgBu59oWbzcm/rfvHj6i2PZmiF8UFAumGcHxvScrowRpZWBN0XNZV+bm2J/A29Dm
 7DJS8f0pYF1BzYqiWXqeuSBb4FIOdAIQGx+fk6IE+n7xaDBeqawXqaPbRT2U622MZutNymDu9
 6Lp2XS/Mchw0xG2IcQmdiuicSkQ6AnMuwqhuYUxXJ2aaSdMmnoyT9zJXxMPJV0X274d08xhMr
 64fBgiZCmJEkdZm8VRqMfZFKwGbD0MsRR+T6D2B7pVjvfUjsHG19mP7Y7R9U4tzlA+QyxtcMh
 5QfYSqMFf2pX654v6aOzQB9Q9j0CKe6GYGBiZIcC5RVa2oT2elSvXRBrY7Cqy2fJAX8yuFR5v
 xUVcR47ecdeYgRbBCgtGDy/j+Bmp2lIUXGL5ytp6OKYnHUtu233N+xBgmg2b95wFekWEQ62HO
 7I+JTKFHAEElEkLyExVnmKmJBGBDbkE+9tZppr/PQyTYS1pKd2a1+q5lUHkF+pYejmOAsAR9W
 chOk+b5ZhyZtmtgddCM2jUoINE9o7neYpk4WprLIDxiAw4raPUSta1a6fq9Rm+hkPqJyCPwd+
 dwUpgWaHlM2T00mrT87RRsqe3dqT3up0B6Rz4wmC+wruRdveF5PeypErVAtEV8P8GAdWgJAX9
 g9eYuOoRe+q8qpJCGyYJbdsOAzH/i0TipRPz4hdGUoeO/iWYBUYl1YYZJKJSKh6RObEtk142v
 zFbAjf1bJXrBzkicqqnFyk3z+Chm7uqq/L6rG3q5/uDcNy26Zy4IcbQ1qA3L5dSD1vL/Pf2Rg
 BSgH/3/apHk5hZieyBcBhoMoOVXfVULTM6IKQwxuDtqBawe/OL1FB95SOLBziCYazSWOIg+/L
 7X24CmveG98n1ohWdDYJNWWiT2LHD39CskaSpUCs8+HihGhZ+BT8faPC8hqAf4LzG3xbvzZcL
 FV67hvpqcBFpc+mTKDrZB3tjwZHrzczH6boeh1LxE2Ze9+m+hKkY4mt+/IA7kktQF3wY4UH7E
 XfwTDjq3sUqtU6cmLW2Aus4VMseHr50ljMu
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36745
Cc: 36745 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Jean Louis <bugs@HIDDEN> writes:

> That is why it is bug. Either it has to be documented in the function
> documentation or it should be "any". One of those.

I still think you don't get the intended meaning.  "Input" here is a bit
ambiguous.  It could either mean "the keys you type", which AFAIU you
read it, and "the contents of the minibuffer", which is how I read it:
any contents are accepted.  This is not wrong.  It still can be
clarified to be less ambiguous, of course.

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36745; Package emacs. Full text available.

Message received at 36745 <at> debbugs.gnu.org:


Received: (at 36745) by debbugs.gnu.org; 21 Jul 2019 09:55:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 21 05:55:24 2019
Received: from localhost ([127.0.0.1]:58144 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hp8Yu-0000aD-Ij
	for submit <at> debbugs.gnu.org; Sun, 21 Jul 2019 05:55:24 -0400
Received: from mail-wr1-f67.google.com ([209.85.221.67]:33868)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1hp8Yt-0000a1-Ii
 for 36745 <at> debbugs.gnu.org; Sun, 21 Jul 2019 05:55:24 -0400
Received: by mail-wr1-f67.google.com with SMTP id 31so36383101wrm.1
 for <36745 <at> debbugs.gnu.org>; Sun, 21 Jul 2019 02:55:23 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=tcd-ie.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=HtdcbwzSFPaxGdtGuNqJ6NxShfEbgXO6OD5o2goYR04=;
 b=YRdM1AFFs1mgnx+cYV+RO7KIlXzeqOHjX41qV9wRkcN5FqeXVeiQF4+0CnD1tUAWII
 hd1F0Xd9whxLul5wy8zhvBaxCCRq95vB9yBmzAHoegfKy6vFAfH9nI4QkKeBGueqsZg9
 dCYtovaAGdSapwMfR1z3KDyjGDblvnXvJQHmCmv5PmCjY4G2FXuG/sq0PxO0Ff6H2dwx
 2ghlP2FqVQYOtOYn8Yl4JEOmACqdb/u5i1FVfSBVRjKdfM8BYZZulKv6jTsIZ5t1QfBp
 J0k1nLnvrrAdVelp/t9ZMkenGl80x0Dj+P5cA9v/IipwpV4Dfa9zYbn+yIGorlr1EtWG
 dZIw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=HtdcbwzSFPaxGdtGuNqJ6NxShfEbgXO6OD5o2goYR04=;
 b=NXseJoJRvExI//h3bZZ1H22evPD6/aonYm6BrU5AaUY9OQxdloVWboL/9twQL1XvhU
 06F9xJqvwWLbfWJl42+GRIt8BrW1KT4Zd8onHPnugC6s5fGr0RxCtGPD3GDizCRHiwox
 nSdGoMqq3DIvuCnXxbzzRApwRnlH96Xtj4FZmHzi1Hoerm9gdYMOat1BHF5AQRSkfCrQ
 W8RT557jqgCyxX4LChz12eeAsB92hZLlBp+M1aNhYdwhl12XaoQ1ongTe24VKaYOfS6C
 WIBjyUBQSQ1q89IasdyScoV3v5q8Gm7Q8gI96YJGiJKFOz/BUYEQiKbCtfmT4E+LCSQV
 BMtA==
X-Gm-Message-State: APjAAAU9CtSU1Ik6RZBhAZL1zBa2fcaZoBuh8PZFbYb9zbGsYK9CxPp4
 omqYRayGDC6BckAsnWpYfX9EOg==
X-Google-Smtp-Source: APXvYqzt+erfQFaWsEvJ5rEPBGGkAXZ1E5D3okqhc/jqb9orkr9nHIzG9nGU2s3E4haLKlqGIaN/xw==
X-Received: by 2002:a5d:46d1:: with SMTP id g17mr18198017wrs.160.1563702917665; 
 Sun, 21 Jul 2019 02:55:17 -0700 (PDT)
Received: from localhost ([2a02:8084:20e2:c380:1f68:7ff5:120d:64e])
 by smtp.gmail.com with ESMTPSA id r15sm36465598wrj.68.2019.07.21.02.55.16
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Sun, 21 Jul 2019 02:55:17 -0700 (PDT)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: Jean Louis <bugs@HIDDEN>
Subject: Re: bug#36745: 27.0.50; completing-read with require-match nil does
 not accept spaces
References: <86blxoil4q.fsf@HIDDEN> <87o91oxojr.fsf@HIDDEN>
 <20190721072713.GA13058@HIDDEN>
Date: Sun, 21 Jul 2019 10:55:16 +0100
In-Reply-To: <20190721072713.GA13058@HIDDEN> (Jean Louis's
 message of "Sun, 21 Jul 2019 09:27:13 +0200")
Message-ID: <87d0i3r9tn.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36745
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>, 36745 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Jean Louis <bugs@HIDDEN> writes:

> * Michael Heerdegen <michael_heerdegen@HIDDEN> [2019-07-21 01:41]:
>> Jean Louis <bugs@HIDDEN> writes:
>> 
>> > I think that it is not logical if it says any input that spaces
>> > cannot be entered and it is in that sense possible bug.
>> 
>> I think you should read it as any (given) input
>> string (is accepted).
>
> That is why it is bug. Either it has to be
> documented in the function documentation or it
> should be "any". One of those.

Indeed, this could probably be clarified.

-- 
Basil




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36745; Package emacs. Full text available.

Message received at 36745 <at> debbugs.gnu.org:


Received: (at 36745) by debbugs.gnu.org; 21 Jul 2019 09:54:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 21 05:54:30 2019
Received: from localhost ([127.0.0.1]:58140 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hp8Y2-0000Yd-7Y
	for submit <at> debbugs.gnu.org; Sun, 21 Jul 2019 05:54:30 -0400
Received: from mail-wm1-f66.google.com ([209.85.128.66]:51617)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1hp8Xz-0000YQ-VW
 for 36745 <at> debbugs.gnu.org; Sun, 21 Jul 2019 05:54:28 -0400
Received: by mail-wm1-f66.google.com with SMTP id 207so32427697wma.1
 for <36745 <at> debbugs.gnu.org>; Sun, 21 Jul 2019 02:54:27 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=tcd-ie.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=SwFhCMwL02x8LLvlnyLCyQcd5eFCtHt6czBbqOlLrbE=;
 b=NlWYWaz2mTweMZvL+Bf3/ipjq9LI/6smPFFK6TPu9J1vPdMK3B5JBH7KJ4cvxFJLUP
 VbGJOGvy73cMPMa9PRRKJ+nJuKUSjoSf48cutzYMxiqyXzDUvc2184vmaz4Ck5FLu+Tc
 XXu99L0+8zcnwIsr/tTURBwv+KpatwSGoWjd+X3LOe4l181i8CCZaqKn9Gn9RmLO7Rh4
 dKXbKnuA+wWlvBPQmIs1N2KdkCx7I8ijd/0qNHGoU9SndOAg+jbbYdIbZflqQjR1dqp4
 UbjU7qwyaiY4lClhLGLQl8TMnK8dz9SdDmnHqeapwZmnTDIaoVcY1ovtrnvriDg1ZW3p
 3ehQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=SwFhCMwL02x8LLvlnyLCyQcd5eFCtHt6czBbqOlLrbE=;
 b=fPNXwdjMRLJBDWU7SV+7/xIXkMc7Mr4k4XRa2miajM2c+UvSH3rGp9SGVKASAr/UAq
 4s19N3cNZFjuXQzvLxjjBau5X8dX3j95C12iT3FV8S0dG/zlnRtxqPSxz/lV5olGcYu+
 oESacGmm8quxPf2UKJlRl0GyG8J9pMpYZt10ckcf/lwrj0LZNfC/j7YuMJfdttdgLgIH
 qHeL5RUVhyztQQxIkuj80kbk21KAqHw5jksoHZUeu8SOBAtPREsfTv4KK6yrAwTQCA2I
 UHhI+S2+FDralk8PITi/Au82/hZLXJTjsrrZOItKj/RYJcbZBMYkO2peqqKWBnfnnpko
 jRiw==
X-Gm-Message-State: APjAAAWzPeJFNkcGfz6EjsIigUC0DBquO6/Q5RUpB5YeYUBcu/uoxxW0
 nX919Zn+N7YmmPmFZyEI4KStpQ==
X-Google-Smtp-Source: APXvYqwc0xMEJo5ne0//Q0lRQ4NdQ1bKf7SZuXg+L/fLNfOMiFOLsBZk9QMPoxMSO6FZ9GEf0WA1jw==
X-Received: by 2002:a1c:4803:: with SMTP id v3mr59205008wma.49.1563702861984; 
 Sun, 21 Jul 2019 02:54:21 -0700 (PDT)
Received: from localhost ([2a02:8084:20e2:c380:1f68:7ff5:120d:64e])
 by smtp.gmail.com with ESMTPSA id g25sm25784121wmk.39.2019.07.21.02.54.21
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Sun, 21 Jul 2019 02:54:21 -0700 (PDT)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#36745: 27.0.50; completing-read with require-match nil does
 not accept spaces
References: <86blxoil4q.fsf@HIDDEN> <87o91oxojr.fsf@HIDDEN>
Date: Sun, 21 Jul 2019 10:54:20 +0100
In-Reply-To: <87o91oxojr.fsf@HIDDEN> (Michael Heerdegen's message of "Sun, 21
 Jul 2019 01:40:40 +0200")
Message-ID: <87ef2jr9v7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36745
Cc: 36745 <at> debbugs.gnu.org, Jean Louis <bugs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

> So I don't see any bug in the strict sense.  OTOH I think it would be
> good to speak out that SPC is special, and mention the C-q SPC
> workaround, at least in the manual (if we don't do this already - do
> we?).

We do, see (info "(emacs) Minibuffer Edit"):

     Inside a minibuffer, the keys <TAB>, <SPC>, and =E2=80=98?=E2=80=99 ar=
e often bound
  to =E2=80=9Ccompletion commands=E2=80=9D, which allow you to easily fill =
in the desired
  text without typing all of it.  *Note Completion.  As with <RET>, you
  can use =E2=80=98C-q=E2=80=99 to insert a <TAB>, <SPC>, or =E2=80=98?=E2=
=80=99 character.

and (info "(emacs) Completion Commands").

--=20
Basil




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36745; Package emacs. Full text available.

Message received at 36745 <at> debbugs.gnu.org:


Received: (at 36745) by debbugs.gnu.org; 21 Jul 2019 07:34:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 21 03:34:41 2019
Received: from localhost ([127.0.0.1]:58107 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hp6Mi-0005iw-Tm
	for submit <at> debbugs.gnu.org; Sun, 21 Jul 2019 03:34:41 -0400
Received: from stw1.rcdrun.com ([217.170.207.13]:34231)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bugs@HIDDEN>) id 1hp6Mf-0005ie-Pq
 for 36745 <at> debbugs.gnu.org; Sun, 21 Jul 2019 03:34:39 -0400
Received: from protected.rcdrun.com (localhost [::1])
 (AUTH: PLAIN admin, TLS: TLS1.2,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by stw1.rcdrun.com with ESMTPSA; Sun, 21 Jul 2019 00:34:31 -0700
 id 000000000002034C.000000005D341587.000078E5
Received: from localhost (protected.rcdrun.com [local])
 by protected.rcdrun.com (OpenSMTPD) with ESMTPA id cc598d83;
 Sun, 21 Jul 2019 07:34:30 +0000 (UTC)
Date: Sun, 21 Jul 2019 09:34:30 +0200
From: Jean Louis <bugs@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#36745: 27.0.50; completing-read with require-match nil does
 not accept spaces
Message-ID: <20190721073430.GB13058@HIDDEN>
References: <86blxoil4q.fsf@HIDDEN>
 <036a63d2-bc36-4e5e-8de5-e45f4d189469@default>
 <20190720210221.GF30653@HIDDEN>
 <2a8dcbf8-aff7-44f4-ad81-c64fd53623dd@default>
 <20190720231334.GA32596@HIDDEN>
 <7c9c37f0-3b4b-413d-9763-7db9283b18bd@default>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
Content-Disposition: inline
In-Reply-To: <7c9c37f0-3b4b-413d-9763-7db9283b18bd@default>
User-Agent: Mutt/1.10.1 (2018-07-13)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 36745
Cc: 36745 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* Drew Adams <drew.adams@HIDDEN> [2019-07-21 02:07]:
> > So far I understand, icicle is some external
> > library?
> 
> Yes, but it's not important to my point about the subject
> of this bug.  I mentioned it to say that (1) the behavior
> you said you're looking for (a) is easily made available
> and (b) has existed for a long time in external libraries,
> and (2) has already been suggested for vanilla Emacs,
> several times in the past, to no avail.

Sure, thank you. However, I am looking into built-in way of
completing it, so that it has less dependencies, and that
later those completing libraries can take over. That is how
I understood how various completing libraries are working,
like helm. So the completion I would leave to future choice.

> But you're apparently also OK with having the doc just
> remind users that they can input a space char using `C-q
> SPC'.

Now I found more references in Emacs Lisp manual, so there
is the minibuffer-local-completion-map and I think function
shall be described better with references to it.

And in my previous email on this bug, you can see my
proposal, which sounds logical, and which is when user is
entering first non-matching word and press SPC which should
complete the word by minibuffer-local-completion-map, then
there is message [No match] for short time, so in case of
require-match being nil, then space could be added without
hurting any other behavior of the function.

Because SPC can be added after first matching word. And
additional non-matching word can be added to first matching
word without warnings that it is no match.

So I think the function could be perfected that space can be
added also after first non-matching word in which case it is
even more logical to allow it when require-match is nil.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36745; Package emacs. Full text available.

Message received at 36745 <at> debbugs.gnu.org:


Received: (at 36745) by debbugs.gnu.org; 21 Jul 2019 07:27:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 21 03:27:27 2019
Received: from localhost ([127.0.0.1]:58099 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hp6Fj-0005WU-5o
	for submit <at> debbugs.gnu.org; Sun, 21 Jul 2019 03:27:27 -0400
Received: from stw1.rcdrun.com ([217.170.207.13]:37713)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bugs@HIDDEN>) id 1hp6Fh-0005WE-N6
 for 36745 <at> debbugs.gnu.org; Sun, 21 Jul 2019 03:27:26 -0400
Received: from protected.rcdrun.com (localhost [::1])
 (AUTH: PLAIN admin, TLS: TLS1.2,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by stw1.rcdrun.com with ESMTPSA; Sun, 21 Jul 2019 00:27:19 -0700
 id 000000000002034C.000000005D3413D7.000078B5
Received: from localhost (protected.rcdrun.com [local])
 by protected.rcdrun.com (OpenSMTPD) with ESMTPA id b0b6579d;
 Sun, 21 Jul 2019 07:27:15 +0000 (UTC)
Date: Sun, 21 Jul 2019 09:27:13 +0200
From: Jean Louis <bugs@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#36745: 27.0.50; completing-read with require-match nil does
 not accept spaces
Message-ID: <20190721072713.GA13058@HIDDEN>
References: <86blxoil4q.fsf@HIDDEN>
 <87o91oxojr.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
Content-Disposition: inline
In-Reply-To: <87o91oxojr.fsf@HIDDEN>
User-Agent: Mutt/1.10.1 (2018-07-13)
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36745
Cc: 36745 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* Michael Heerdegen <michael_heerdegen@HIDDEN> [2019-07-21 01:41]:
> Jean Louis <bugs@HIDDEN> writes:
> 
> > I think that it is not logical if it says any input that spaces
> > cannot be entered and it is in that sense possible bug.
> 
> I think you should read it as any (given) input
> string (is accepted).

That is why it is bug. Either it has to be
documented in the function documentation or it
should be "any". One of those.

> So I don't see any bug in the strict sense.  OTOH I think it would be
> good to speak out that SPC is special, and mention the C-q SPC
> workaround, at least in the manual (if we don't do this already - do
> we?).

I see that it is documented for SPC to be
completion of the word. And I think if many people
are used to it, then SPC cannot be used as SPC.

There is option to change the completion key map
so users who can program they can do it easily,
and I am fine too.

I think function shall be described better with at
least some reference within the function
description to the minibuffer-local-completion-map
for example as I found it there that SPC does
minibuffer-complete-word

However, logic is missing and function is in that
sense also not doing it as promised:

(let ((completion-ignore-case t))
  (completing-read "Choice: " '("EXPENSES LIST" "WORK") nil nil))

Now do this:

expSPCsomethingENTER

and you will get

"EXPENSES something"

So I can add the word with spaces to those words
which already exist.

But I cannot enter first unknown word with space
and I get message [no match].

The message [no match] disappears after some time.

Maybe it would be logical to enter the space
before this message appears and then to say [no
match] in the same manner.

I think space shall be allowed in that sense and
in that particular situation when require-match is
nil to allow "any input":

- for reason that it does allow space after first
  matching word

- but it does not allow space after first
  non-matching word

- and it would not hurt any body that space is
  added after first non-matching word after the
  message [no match] have been shown

- as it is logical if there is no match, but user
  can enter any input, to allow the user to enter
  space

and in that sense the
minibuffer-local-completion-map need not be
changed at all

The only change would be that after after first
non-matching word if space is used, the space is
added even though completion did not match.

Jean





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36745; Package emacs. Full text available.

Message received at 36745 <at> debbugs.gnu.org:


Received: (at 36745) by debbugs.gnu.org; 21 Jul 2019 00:06:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 20 20:06:56 2019
Received: from localhost ([127.0.0.1]:58018 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hozNQ-00018s-0w
	for submit <at> debbugs.gnu.org; Sat, 20 Jul 2019 20:06:56 -0400
Received: from userp2120.oracle.com ([156.151.31.85]:47680)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1hozNO-00018f-Fc
 for 36745 <at> debbugs.gnu.org; Sat, 20 Jul 2019 20:06:55 -0400
Received: from pps.filterd (userp2120.oracle.com [127.0.0.1])
 by userp2120.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x6L04Da4095174;
 Sun, 21 Jul 2019 00:06:48 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : cc : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2018-07-02;
 bh=2pH3Y2mO1u4Nnp4bw9DlQBFQ3EJ7Z6gj+UM+7QG4T5o=;
 b=I+qPGBXY946BWsbRm/YAbgM5ReH5PQ2KDLTxeuGloZ4o5MO9O/OSvzwF2rkQAwA2p1e4
 gPvK7UoTZuNKsUN/5YwdK9V86qH1oZSHSsGnqOgENY3lXtEtYaPGZ0f8yiJGaynubm/b
 04ZnwW2b9yyS+qpPFeeKLHw1vq9kECqJxOHHsiwwQIjSfbmqMfNIyjJvQoEFJfkvwzn/
 cPw0uyUNNLee/K+6TUNVSaTEp4TAUOgO6Sn6gccYvnWuXDWc7UBdDZKgxIFZDAGVTxQC
 erF5V9DGEZ8592s81OsofO7jYMeBiBcVe2A9b3w45CDKQO5iCXMVrVT57U/7k8PctqTR bQ== 
Received: from aserp3030.oracle.com (aserp3030.oracle.com [141.146.126.71])
 by userp2120.oracle.com with ESMTP id 2tuukq9mck-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sun, 21 Jul 2019 00:06:47 +0000
Received: from pps.filterd (aserp3030.oracle.com [127.0.0.1])
 by aserp3030.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x6L02YZT067387;
 Sun, 21 Jul 2019 00:04:46 GMT
Received: from userv0121.oracle.com (userv0121.oracle.com [156.151.31.72])
 by aserp3030.oracle.com with ESMTP id 2tus0b0fj4-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sun, 21 Jul 2019 00:04:46 +0000
Received: from abhmp0008.oracle.com (abhmp0008.oracle.com [141.146.116.14])
 by userv0121.oracle.com (8.14.4/8.13.8) with ESMTP id x6L04h76029647;
 Sun, 21 Jul 2019 00:04:43 GMT
MIME-Version: 1.0
Message-ID: <7c9c37f0-3b4b-413d-9763-7db9283b18bd@default>
Date: Sun, 21 Jul 2019 00:04:42 +0000 (UTC)
From: Drew Adams <drew.adams@HIDDEN>
To: Jean Louis <bugs@HIDDEN>
Subject: RE: bug#36745: 27.0.50; completing-read with require-match nil does
 not accept spaces
References: <86blxoil4q.fsf@HIDDEN>
 <036a63d2-bc36-4e5e-8de5-e45f4d189469@default>
 <20190720210221.GF30653@HIDDEN>
 <2a8dcbf8-aff7-44f4-ad81-c64fd53623dd@default>
 <20190720231334.GA32596@HIDDEN>
In-Reply-To: <20190720231334.GA32596@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.4873.0 (x86)]
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9324
 signatures=668684
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 mlxscore=0 mlxlogscore=999
 adultscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.0.1-1810050000 definitions=main-1907200308
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9324
 signatures=668684
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0
 priorityscore=1501 malwarescore=0
 suspectscore=0 phishscore=0 bulkscore=0 spamscore=0 clxscore=1015
 lowpriorityscore=0 mlxscore=0 impostorscore=0 mlxlogscore=999 adultscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.0.1-1810050000
 definitions=main-1907200308
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36745
Cc: 36745 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> So far I understand, icicle is some external
> library?

Yes, but it's not important to my point about
the subject of this bug.  I mentioned it to
say that (1) the behavior you said you're
looking for (a) is easily made available and
(b) has existed for a long time in external
libraries, and (2) has already been suggested
for vanilla Emacs, several times in the past,
to no avail.

I'm glad you've filed the bug, to bring up
the question again, but don't necessarily
expect more success now.  (I hope the request
does succeed.)

But you're apparently also OK with having the
doc just remind users that they can input a
space char using `C-q SPC'.

My suggestion is rather that Emacs completion
be "fixed" (enhanced), to - by default - let
`SPC' itself insert a space char, i.e., be
bound to `self-insert-command' or similar.

Users can always change the key binding,
regardless of the default behavior, but many
will not think to do so, even if they might
prefer to have `SPC' self-insert rather than
perform a particular kind of completion
(`minibuffer-complete-word').

As for having the doc for `completing-read'
mention using `C-q' to insert a space char:
OK, but (1) that behavior of `C-q' is general;
it may be particularly helpful during
completion but its use is not limited to that,
and (2) it's not just `SPC'; it's also `?' and
`C-j' (newline).

Certainly the need to insert a newline char
during completion is less common than the need
to insert a space char or a `?' char.  But
those 3 are in the same boat, IMO: They are
keys that normally insert printable chars, and
they are the only such that do not, by default,
self-insert during completion.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36745; Package emacs. Full text available.

Message received at 36745 <at> debbugs.gnu.org:


Received: (at 36745) by debbugs.gnu.org; 20 Jul 2019 23:41:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 20 19:41:23 2019
Received: from localhost ([127.0.0.1]:58003 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoyyh-0000YR-IJ
	for submit <at> debbugs.gnu.org; Sat, 20 Jul 2019 19:41:23 -0400
Received: from mout.web.de ([217.72.192.78]:41583)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1hoyyf-0000YE-PI
 for 36745 <at> debbugs.gnu.org; Sat, 20 Jul 2019 19:41:22 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1563666042;
 bh=J1vM+dGHl0X1ggz0sOzWq0qSDYb6ajI1erafMu2WxNg=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=f3DFAQbnG85QeZIV13EWEMAoSaZHifWEJcHFkA43G+eRVOmTbwL04WWl1wPAayTZX
 UErFQAGoO2TlzTI4OAML260MU3NBaRaNUOX30spvFLeF/XAqMxNrX5RTMDH3AA5clE
 SapG31eFHXNww7biNHQvIoORDSa3WUQkpGZfTk/E=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([92.208.178.242]) by smtp.web.de (mrweb101
 [213.165.67.124]) with ESMTPSA (Nemesis) id 0MEEa4-1hdySo28HA-00FU6l; Sun, 21
 Jul 2019 01:40:42 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Jean Louis <bugs@HIDDEN>
Subject: Re: bug#36745: 27.0.50; completing-read with require-match nil does
 not accept spaces
References: <86blxoil4q.fsf@HIDDEN>
Date: Sun, 21 Jul 2019 01:40:40 +0200
In-Reply-To: <86blxoil4q.fsf@HIDDEN> (Jean Louis's message of
 "Sat, 20 Jul 2019 21:03:33 +0200")
Message-ID: <87o91oxojr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:HfNJfScC6VhBaTNhyuuo1NO5ukeUp6DQ584CLD2a6bHDK9bwxzn
 cU685ky3VP/3AiGSXSTK5iCQTtX9OK8rEBGs/1jGoxz44Vm7CPRAiAFQIJYkjCrvF19jSZa
 xh9Y03QtTbchZVY64Vx8EHFVaKcH2X/TvSitE6FsMFvUB71NerrpowprW/f3Jr9F3lhfr1U
 7F1DERMO8xT+uPiKIUZJg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:tFc+K6jb7q0=:9/h4j7fpXFKUkmtqCMdMKU
 GshTLoGeC6phoKGL3eOIQELme3s7aOt2Tfs1Vv4wjHmh7dmRrFo8hmeADdkiW+v4W7/w5OuPZ
 OPvPJg657dYoLFGbZ8LJPFi7hgoNfO7e/nJcnW24TJMYYiOFXRJABWiirQgupQRjcbjIC2uA9
 vnBE+ewbIs1ioESbRZQEKjzKMLsPTLok9sFByOA07+BDZAPUdAejsIOU+3a8iK9ZHWKzyVXvI
 TyBx6ucxE00uKX+XgeUUwBbyeTU4SC8JjVuKdcuvHExjVRL3KWANUjIgBQCorX0UcWxj3zOY+
 ALA/Z7bZRwtZ2KTD1iG7Pdz8vzQ/zDLFm9qCLSzizIV4GX5usHM5zIwfnpm8hgaN5Ykcj2Wnq
 xmTiioYg8A4eBtuUdoHakXCPKUSwIpiEsZfPtWZzHKdALkAuQpSjGEgWX1Eba5SQ5Qp6J5tGt
 AT67szDvZT+LQSxIxSkmRFYeJXZp1iDiSptnX90jys6xa9yWVhfdY4zHqB4ORiDYlJAr9k6wN
 kC82XO2PJfb2hn6DIPVO11KAeSt4GMb0vx0tnvmuQlW3DrnYzSU6zHOoVAwNnOzN61BQ/T/dW
 tKKDUEPLxzlzzFAdS0N7uT+Ikm1LARBRpM6Xr1mHOL4SVTPiOOipOXEn42wVLdxOHoC7TWGOF
 JBVgEcfrNdkhFwHx4nrlZyhdf1kcf5fn62RXnfYdc+47b8L0jvg4YD4fBkeu4mnoffMrt87AK
 9p/8SGp2SE6bIm677JtanBnVpFmBZtsnaET4NcrETo64NCJrEkkcMGOFYPZCoFghw+pso/3oi
 dvX+QCS9FPsm8SY3lrlRdooojLxPUZ4PZNuhfTSzNhLpnSIwrei6DlYJ93jmXQWVdNtu5LGu+
 R6LwcmWJ2eaIxFpVFY9wu7m/b0ix/Ojxz8o/czDYweriMZZBHfte53dYldmMGqZjuk5FYIoyB
 wEk92H8vZK9L2h4h1RiUsuQxLvYFAYcNwGuTE5cU0rvYK20D3jOlGXXSiBQgHOlGSvfMkU0zE
 9CgnPHMphj4Gg8aNkkhNaI1gv2CYPiplmpYbg4zkrlI9V3fkI+ITrZsgcQ52E6EKC5JbfhiCQ
 PQOCrr2UShsmjaHaE4RjhTmnuaUjsHxdVar
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 36745
Cc: 36745 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Jean Louis <bugs@HIDDEN> writes:

> I think that it is not logical if it says "any input" that spaces
> cannot be entered and it is in that sense possible bug.

I think you should read it as "any (given) input string" (is accepted).
As distinguished from REQUIRE-MATCH t where RET doesn't let you exit
with non matching input.

So I don't see any bug in the strict sense.  OTOH I think it would be
good to speak out that SPC is special, and mention the C-q SPC
workaround, at least in the manual (if we don't do this already - do
we?).

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36745; Package emacs. Full text available.

Message received at 36745 <at> debbugs.gnu.org:


Received: (at 36745) by debbugs.gnu.org; 20 Jul 2019 23:13:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 20 19:13:46 2019
Received: from localhost ([127.0.0.1]:57995 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoyXy-0008M5-8s
	for submit <at> debbugs.gnu.org; Sat, 20 Jul 2019 19:13:46 -0400
Received: from stw1.rcdrun.com ([217.170.207.13]:39277)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bugs@HIDDEN>) id 1hoyXv-0008Lq-H2
 for 36745 <at> debbugs.gnu.org; Sat, 20 Jul 2019 19:13:44 -0400
Received: from protected.rcdrun.com (localhost [::1])
 (AUTH: PLAIN admin, TLS: TLS1.2,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by stw1.rcdrun.com with ESMTPSA; Sat, 20 Jul 2019 16:13:36 -0700
 id 0000000000020344.000000005D33A020.000068AF
Received: from localhost (protected.rcdrun.com [local])
 by protected.rcdrun.com (OpenSMTPD) with ESMTPA id c2a880fd;
 Sat, 20 Jul 2019 23:13:34 +0000 (UTC)
Date: Sun, 21 Jul 2019 01:13:34 +0200
From: Jean Louis <bugs@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#36745: 27.0.50; completing-read with require-match nil does
 not accept spaces
Message-ID: <20190720231334.GA32596@HIDDEN>
References: <86blxoil4q.fsf@HIDDEN>
 <036a63d2-bc36-4e5e-8de5-e45f4d189469@default>
 <20190720210221.GF30653@HIDDEN>
 <2a8dcbf8-aff7-44f4-ad81-c64fd53623dd@default>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
Content-Disposition: inline
In-Reply-To: <2a8dcbf8-aff7-44f4-ad81-c64fd53623dd@default>
User-Agent: Mutt/1.10.1 (2018-07-13)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 36745
Cc: 36745 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* Drew Adams <drew.adams@HIDDEN> [2019-07-20 23:53]:
> > > FWIW: By default, both `?' and `SPC' are
> > > self-inserting for completion in Icicles
> > > (and have been since 2004).
> 
> (I should have said 2005.)
> 
> > > But this is configurable, with option
> > > `icicle-completion-key-bindings'.

So far I understand, icicle is some external
library?

I still think it is bug, either in documentation
because it is not "any input" allowed, or in the
function, as if any input would be allowed, then
spaces should be accepted.

My example is that I am giving a prefix to the
subject of email, so completing-read is offering
like: TASK, EXPENSES UPDATED, READ THIS

Subject becomes:

TASK: Do this

or EXPENSES UPDATED: 2019-07-19 for Gabriel

then if I wish to enter "NEWS FROM EUROPE" I
cannot, as space is not accepted as such.

So it makes no sense logically, to accept
"EXPENSES UPDATED" as one option to complete, but
not to limit me or the user to one word "any
input".

Thus any input shall be named "one word" with C-q
SPC option in the description of the function or
spaces shall be allowed, one of those.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36745; Package emacs. Full text available.

Message received at 36745 <at> debbugs.gnu.org:


Received: (at 36745) by debbugs.gnu.org; 20 Jul 2019 21:52:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 20 17:52:47 2019
Received: from localhost ([127.0.0.1]:57964 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoxHb-0006QD-Bt
	for submit <at> debbugs.gnu.org; Sat, 20 Jul 2019 17:52:47 -0400
Received: from aserp2120.oracle.com ([141.146.126.78]:33782)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1hoxHZ-0006Py-QM
 for 36745 <at> debbugs.gnu.org; Sat, 20 Jul 2019 17:52:46 -0400
Received: from pps.filterd (aserp2120.oracle.com [127.0.0.1])
 by aserp2120.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x6KLnLnj098817;
 Sat, 20 Jul 2019 21:52:39 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : cc : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2018-07-02;
 bh=ASFyipr3/vnxFhS0kbOOnPNTgLtWpK09qNwyjdtk7J4=;
 b=AXn91Ln3eamHEmGtVCCoJgqTTllqLDqjVkYJ7ch1AT2ol9kW/fbv6wjpjF/g6UPARLPD
 9nWDBSzIePFE9WviBxxaS1bPafZDq7KBhNX+GiWNA2P0JBUw4H/8qtPh67FhqVKSCduB
 559KzYAHEJhHh4/cU7/W2VXaW2MudAKVSIpkZTEsM3j3qHFpKu51d+Fn5XbEo4raM9M6
 KhL2kHGl0icgM0wIstfNoVJRPtLL/2DrrPmSJbjh8GAopVre1tglshLajs56BerRKVZ4
 HhYL5ehlHhFJqcWxgT42tFW8dxNnX6LcyxiLY2MNOphVzhB0is3BARZ0awotjkBWnpgm 1Q== 
Received: from aserp3030.oracle.com (aserp3030.oracle.com [141.146.126.71])
 by aserp2120.oracle.com with ESMTP id 2tutwp1gf4-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sat, 20 Jul 2019 21:52:39 +0000
Received: from pps.filterd (aserp3030.oracle.com [127.0.0.1])
 by aserp3030.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x6KLmLds119279;
 Sat, 20 Jul 2019 21:52:39 GMT
Received: from aserv0122.oracle.com (aserv0122.oracle.com [141.146.126.236])
 by aserp3030.oracle.com with ESMTP id 2tus0ayvq9-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sat, 20 Jul 2019 21:52:39 +0000
Received: from abhmp0019.oracle.com (abhmp0019.oracle.com [141.146.116.25])
 by aserv0122.oracle.com (8.14.4/8.14.4) with ESMTP id x6KLqc6J030117;
 Sat, 20 Jul 2019 21:52:38 GMT
MIME-Version: 1.0
Message-ID: <2a8dcbf8-aff7-44f4-ad81-c64fd53623dd@default>
Date: Sat, 20 Jul 2019 21:52:37 +0000 (UTC)
From: Drew Adams <drew.adams@HIDDEN>
To: Jean Louis <bugs@HIDDEN>
Subject: RE: bug#36745: 27.0.50; completing-read with require-match nil does
 not accept spaces
References: <86blxoil4q.fsf@HIDDEN>
 <036a63d2-bc36-4e5e-8de5-e45f4d189469@default>
 <20190720210221.GF30653@HIDDEN>
In-Reply-To: <20190720210221.GF30653@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.4873.0 (x86)]
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9324
 signatures=668684
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 mlxscore=0 mlxlogscore=774
 adultscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.0.1-1810050000 definitions=main-1907200278
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9324
 signatures=668684
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0
 priorityscore=1501 malwarescore=0
 suspectscore=0 phishscore=0 bulkscore=0 spamscore=0 clxscore=1015
 lowpriorityscore=0 mlxscore=0 impostorscore=0 mlxlogscore=826 adultscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.0.1-1810050000
 definitions=main-1907200279
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36745
Cc: 36745 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> > FWIW: By default, both `?' and `SPC' are
> > self-inserting for completion in Icicles
> > (and have been since 2004).

(I should have said 2005.)

> > But this is configurable, with option
> > `icicle-completion-key-bindings'.
>=20
> That is interesting. Thank you.
>=20
> I have found that various completion libraries are
> re-using the completing-read when necessary, so I
> have to stick with completing-read for now, to
> keep it minimal, and later customizable.

(When global minor mode `icy-mode' is on, ordinary
`completing-read' automatically gives you Icicles
completion.  When the mode is off, it gives you
the vanilla Emacs behavior.)

But the point was not that you should use Icicles
to get this behavior.  The point was that vanilla
Emacs should offer it also.

I suggested this long ago.  After some time, at
least file-name completion was changed to let
`SPC' self-insert.

One can hope that at some point users will get
similar behavior, by default, for other completion
keymaps, not just for file names.

While waiting, you can bind `SPC' yourself to
`self-insert-command' or whatever else you want,
in any of the minibuffer keymaps.  For example,
bind it in `minibuffer-local-completion-map' and
`minibuffer-local-must-match-map'.
____


Some old mails about letting `SPC', `?', and `C-j'
self-insert by default during completion:

https://lists.gnu.org/archive/html/emacs-devel/2014-04/msg00246.html

https://lists.gnu.org/archive/html/emacs-devel/2014-11/msg01521.html

https://lists.gnu.org/archive/html/emacs-devel/2009-11/msg01045.html

https://lists.gnu.org/archive/html/emacs-devel/2007-06/msg01810.html

https://lists.gnu.org/archive/html/emacs-devel/2005-11/msg00245.html






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36745; Package emacs. Full text available.

Message received at 36745 <at> debbugs.gnu.org:


Received: (at 36745) by debbugs.gnu.org; 20 Jul 2019 21:02:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 20 17:02:31 2019
Received: from localhost ([127.0.0.1]:57944 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1howUx-00053k-8u
	for submit <at> debbugs.gnu.org; Sat, 20 Jul 2019 17:02:31 -0400
Received: from stw1.rcdrun.com ([217.170.207.13]:58419)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bugs@HIDDEN>) id 1howUv-00053U-53
 for 36745 <at> debbugs.gnu.org; Sat, 20 Jul 2019 17:02:29 -0400
Received: from protected.rcdrun.com (localhost [::1])
 (AUTH: PLAIN admin, TLS: TLS1.2,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by stw1.rcdrun.com with ESMTPSA; Sat, 20 Jul 2019 14:02:22 -0700
 id 0000000000020366.000000005D33815E.00005389
Received: from localhost (protected.rcdrun.com [local])
 by protected.rcdrun.com (OpenSMTPD) with ESMTPA id 9379726c;
 Sat, 20 Jul 2019 21:02:21 +0000 (UTC)
Date: Sat, 20 Jul 2019 23:02:21 +0200
From: Jean Louis <bugs@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#36745: 27.0.50; completing-read with require-match nil does
 not accept spaces
Message-ID: <20190720210221.GF30653@HIDDEN>
References: <86blxoil4q.fsf@HIDDEN>
 <036a63d2-bc36-4e5e-8de5-e45f4d189469@default>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
Content-Disposition: inline
In-Reply-To: <036a63d2-bc36-4e5e-8de5-e45f4d189469@default>
Organization: START YOUR OWN GOLD MINE
User-Agent: Mutt/1.10.1 (2018-07-13)
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36745
Cc: 36745 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* Drew Adams <drew.adams@HIDDEN> [2019-07-20 22:17]:
> FWIW: By default, both `?' and `SPC' are
> self-inserting for completion in Icicles
> (and have been since 2004).
> 
> But this is configurable, with option
> `icicle-completion-key-bindings'.
> 
> https://www.emacswiki.org/emacs/Icicles_-_Key_Bindings#MinibufferBinding

That is interesting. Thank you.

I have found that various completion libraries are
re-using the completing-read when necessary, so I
have to stick with completing-read for now, to
keep it minimal, and later customizable.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36745; Package emacs. Full text available.

Message received at 36745 <at> debbugs.gnu.org:


Received: (at 36745) by debbugs.gnu.org; 20 Jul 2019 20:16:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 20 16:16:58 2019
Received: from localhost ([127.0.0.1]:57928 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hovms-0003mu-0q
	for submit <at> debbugs.gnu.org; Sat, 20 Jul 2019 16:16:58 -0400
Received: from aserp2120.oracle.com ([141.146.126.78]:43004)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1hovmq-0003mc-06
 for 36745 <at> debbugs.gnu.org; Sat, 20 Jul 2019 16:16:57 -0400
Received: from pps.filterd (aserp2120.oracle.com [127.0.0.1])
 by aserp2120.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x6KKGn1L041894;
 Sat, 20 Jul 2019 20:16:49 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2018-07-02;
 bh=0FKyxlR7V4EYuxLT+oxq14y+GBAHmndYF3h02a3V+W0=;
 b=SJUPRcpj367z7GvhZGBKlx+QEie4N8yhlRyogkOm/Qs5+I2HngypNk7ZHCtTSbSJe95w
 OfZCrzSn9RURFJrD8R99TxNZSV093a0yiEmMny+e1On/qhJ90ipB9mCeO89cL6SJLVjp
 h5WNk+bJgu0IdZaHry8okhaslgcANsnnf8x9NxqG7EiAMMjGbRpSgA4MYsd4y2fhg+9c
 wpgd2vLlCCl9cpP0X4SgufSn1nhLmjWlFN1vFrhN/QjX5HYiBaSmQQ9GUjnLqtBoXgMc
 RpK9yL/fBCiXrMQ+TH86JB7DrwQ74y0cKSazigOnFwk//7XbTPUms2NgjmoJU71vFwK1 8w== 
Received: from userp3030.oracle.com (userp3030.oracle.com [156.151.31.80])
 by aserp2120.oracle.com with ESMTP id 2tutwp1c30-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sat, 20 Jul 2019 20:16:49 +0000
Received: from pps.filterd (userp3030.oracle.com [127.0.0.1])
 by userp3030.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x6KKD1kp100284;
 Sat, 20 Jul 2019 20:14:49 GMT
Received: from aserv0121.oracle.com (aserv0121.oracle.com [141.146.126.235])
 by userp3030.oracle.com with ESMTP id 2tur2t85ga-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sat, 20 Jul 2019 20:14:48 +0000
Received: from abhmp0019.oracle.com (abhmp0019.oracle.com [141.146.116.25])
 by aserv0121.oracle.com (8.14.4/8.13.8) with ESMTP id x6KKEi69009597;
 Sat, 20 Jul 2019 20:14:44 GMT
MIME-Version: 1.0
Message-ID: <036a63d2-bc36-4e5e-8de5-e45f4d189469@default>
Date: Sat, 20 Jul 2019 20:14:43 +0000 (UTC)
From: Drew Adams <drew.adams@HIDDEN>
To: Jean Louis <bugs@HIDDEN>, 36745 <at> debbugs.gnu.org
Subject: RE: bug#36745: 27.0.50; completing-read with require-match nil does
 not accept spaces
References: <86blxoil4q.fsf@HIDDEN>
In-Reply-To: <86blxoil4q.fsf@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.4873.0 (x86)]
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9324
 signatures=668684
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 mlxscore=0 mlxlogscore=687
 adultscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.0.1-1810050000 definitions=main-1907200257
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9324
 signatures=668684
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0
 priorityscore=1501 malwarescore=0
 suspectscore=0 phishscore=0 bulkscore=0 spamscore=0 clxscore=1011
 lowpriorityscore=0 mlxscore=0 impostorscore=0 mlxlogscore=742 adultscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.0.1-1810050000
 definitions=main-1907200258
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36745
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> completing-read is not accepting spaces when require-match is nil
>=20
> I have discovered I could use C-q SPACE to enter space and get any
> input
> such as "two words"
>=20
> (completing-read "Hello: " '("Something here" "more here") nil nil)
>=20
> The above function is accepting any input, not just completions, but
> spaces cannot be entered.
>=20
> I think that it is not logical if it says "any input" that spaces
> cannot be entered and it is in that sense possible bug.

FWIW: By default, both `?' and `SPC' are
self-inserting for completion in Icicles
(and have been since 2004).

But this is configurable, with option
`icicle-completion-key-bindings'.

https://www.emacswiki.org/emacs/Icicles_-_Key_Bindings#MinibufferBindings




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36745; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Jul 2019 19:03:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 20 15:03:49 2019
Received: from localhost ([127.0.0.1]:57915 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1houe3-0001uJ-9Q
	for submit <at> debbugs.gnu.org; Sat, 20 Jul 2019 15:03:48 -0400
Received: from lists.gnu.org ([209.51.188.17]:59482)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <support1@HIDDEN>) id 1houe0-0001u9-PV
 for submit <at> debbugs.gnu.org; Sat, 20 Jul 2019 15:03:46 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:34403)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <support1@HIDDEN>) id 1houdx-000472-AM
 for bug-gnu-emacs@HIDDEN; Sat, 20 Jul 2019 15:03:44 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,UNPARSEABLE_RELAY,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <support1@HIDDEN>) id 1houdt-0006Jg-L1
 for bug-gnu-emacs@HIDDEN; Sat, 20 Jul 2019 15:03:41 -0400
Received: from stw1.rcdrun.com ([217.170.207.13]:35269)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <support1@HIDDEN>)
 id 1houdt-0006I6-8U
 for bug-gnu-emacs@HIDDEN; Sat, 20 Jul 2019 15:03:37 -0400
Received: from protected.rcdrun.com (localhost [::1])
 (AUTH: PLAIN admin, TLS: TLS1.2,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by stw1.rcdrun.com with ESMTPSA; Sat, 20 Jul 2019 12:03:34 -0700
 id 000000000002035E.000000005D336586.00004E3C
Received: from localhost (protected.rcdrun.com [local])
 by protected.rcdrun.com (OpenSMTPD) with ESMTPA id 5ef8a64b
 for <bug-gnu-emacs@HIDDEN>; Sat, 20 Jul 2019 19:03:33 +0000 (UTC)
From: Jean Louis <bugs@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.0.50; completing-read with require-match nil does not accept spaces
Date: Sat, 20 Jul 2019 21:03:33 +0200
Message-ID: <86blxoil4q.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 217.170.207.13
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)


completing-read is not accepting spaces when require-match is nil

I have discovered I could use C-q SPACE to enter space and get any input
such as "two words"

(completing-read "Hello: " '("Something here" "more here") nil nil)

The above function is accepting any input, not just completions, but
spaces cannot be entered.

I think that it is not logical if it says "any input" that spaces cannot
be entered and it is in that sense possible bug.

Further, if it is intended to be so, then there shall be documented that
spaces cannot be entered or otherwise only with C-q SPACE

The documentation says:

completing-read is a built-in function in
=E2=80=98src/minibuf.c=E2=80=99.

(completing-read PROMPT COLLECTION &optional
PREDICATE REQUIRE-MATCH INITIAL-INPUT HIST DEF
INHERIT-INPUT-METHOD)

REQUIRE-MATCH can take the following values:
- nil means that the user can exit with any input.



In GNU Emacs 27.0.50 (build 11, x86_64-pc-linux-gnu, X toolkit, Xaw3d scrol=
l bars)
 of 2019-07-18 built on protected.rcdrun.com
Repository revision: a4e57274cc3ad920d6113700ce6496e85eb66ebb
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.11906000
System Description: Hyperbola GNU/Linux-libre

Recent messages:
Mark set
Quit
Mark set
previous-line: Beginning of buffer [24 times]
Saved text until " exit if it
  does non-null completion.
"
Quit
Mark set
Making completion list...

Configured using:
 'configure --prefix=3D/package/text/emacs-2019-07-18 --with-modules
 --without-pop --with-mailutils --with-x-toolkit=3Dlucid --without-gpm'

Configured features:
XAW3D XPM JPEG TIFF GIF PNG RSVG SOUND DBUS GSETTINGS GLIB NOTIFY
INOTIFY ACL GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS LUCID X11 XDBE XIM MODULES THREADS JSON PDUMPER
LCMS2 GMP

Important settings:
  value of $LC_ALL: de_DE.UTF-8
  value of $LANG: de_DE.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Help

Minor modes in effect:
  display-time-mode: t
  TeX-PDF-mode: t
  highlight-changes-visible-mode: t
  say-minor-mode: t
  strokes-mode: t
  dynamic-completion-mode: t
  jabber-activity-mode: t
  show-paren-mode: t
  guide-key-mode: t
  persistent-scratch-autosave-mode: t
  shell-dirtrack-mode: t
  auto-compile-on-load-mode: t
  auto-compile-on-save-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
/home/data1/protected/.emacs.d/elpa/lispy-20190703.1529/elpa hides /home/da=
ta1/protected/.emacs.d/elpa/ivy-20190709.740/elpa
/home/data1/protected/Programming/emacs-lisp/whois hides /home/data1/protec=
ted/.emacs.d/elpa/whois-20190529.1554/whois
/home/data1/protected/.emacs.d/elpa/flim-20190526.1034/md4 hides /package/t=
ext/emacs-2019-07-18/share/emacs/27.0.50/lisp/md4
/home/data1/protected/.emacs.d/elpa/flim-20190526.1034/hex-util hides /pack=
age/text/emacs-2019-07-18/share/emacs/27.0.50/lisp/hex-util
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-css hides /package/text=
/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-css
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-dot hides /package/text=
/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-dot
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-sed hides /package/text=
/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-sed
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-stan hides /package/tex=
t/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-stan
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-sqlite hides /package/t=
ext/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-sqlite
/home/data1/protected/.emacs.d/elpa/org-20190708/org-src hides /package/tex=
t/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/org-src
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-lob hides /package/text=
/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-lob
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-calc hides /package/tex=
t/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-calc
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-mscgen hides /package/t=
ext/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-mscgen
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-core hides /package/tex=
t/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-core
/home/data1/protected/.emacs.d/elpa/org-20190708/ox-beamer hides /package/t=
ext/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ox-beamer
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-sass hides /package/tex=
t/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-sass
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-plantuml hides /package=
/text/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-plantuml
/home/data1/protected/.emacs.d/elpa/org-20190708/org-bibtex hides /package/=
text/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/org-bibtex
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-coq hides /package/text=
/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-coq
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-js hides /package/text/=
emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-js
/home/data1/protected/.emacs.d/elpa/org-20190708/org-plot hides /package/te=
xt/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/org-plot
/home/data1/protected/.emacs.d/elpa/org-20190708/org-macro hides /package/t=
ext/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/org-macro
/home/data1/protected/.emacs.d/elpa/org-20190708/org-inlinetask hides /pack=
age/text/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/org-inlinetask
/home/data1/protected/.emacs.d/elpa/org-20190708/org-timer hides /package/t=
ext/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/org-timer
/home/data1/protected/.emacs.d/elpa/org-20190708/ox hides /package/text/ema=
cs-2019-07-18/share/emacs/27.0.50/lisp/org/ox
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-forth hides /package/te=
xt/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-forth
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-groovy hides /package/t=
ext/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-groovy
/home/data1/protected/.emacs.d/elpa/org-20190708/org-bbdb hides /package/te=
xt/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/org-bbdb
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-perl hides /package/tex=
t/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-perl
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-gnuplot hides /package/=
text/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-gnuplot
/home/data1/protected/.emacs.d/elpa/org-20190708/ox-latex hides /package/te=
xt/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ox-latex
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-sql hides /package/text=
/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-sql
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-screen hides /package/t=
ext/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-screen
/home/data1/protected/.emacs.d/elpa/org-20190708/org-mhe hides /package/tex=
t/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/org-mhe
/home/data1/protected/.emacs.d/elpa/org-20190708/org-archive hides /package=
/text/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/org-archive
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-haskell hides /package/=
text/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-haskell
/home/data1/protected/.emacs.d/elpa/org-20190708/org-footnote hides /packag=
e/text/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/org-footnote
/home/data1/protected/.emacs.d/elpa/org-20190708/org-eww hides /package/tex=
t/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/org-eww
/home/data1/protected/.emacs.d/elpa/org-20190708/ox-man hides /package/text=
/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ox-man
/home/data1/protected/.emacs.d/elpa/org-20190708/org-protocol hides /packag=
e/text/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/org-protocol
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-ref hides /package/text=
/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-ref
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-processing hides /packa=
ge/text/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-processing
/home/data1/protected/.emacs.d/elpa/org-20190708/org-habit hides /package/t=
ext/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/org-habit
/home/data1/protected/.emacs.d/elpa/org-20190708/org-indent hides /package/=
text/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/org-indent
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-maxima hides /package/t=
ext/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-maxima
/home/data1/protected/.emacs.d/elpa/org-20190708/org-list hides /package/te=
xt/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/org-list
/home/data1/protected/.emacs.d/elpa/org-20190708/org-entities hides /packag=
e/text/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/org-entities
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-fortran hides /package/=
text/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-fortran
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-comint hides /package/t=
ext/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-comint
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-ruby hides /package/tex=
t/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-ruby
/home/data1/protected/.emacs.d/elpa/org-20190708/org hides /package/text/em=
acs-2019-07-18/share/emacs/27.0.50/lisp/org/org
/home/data1/protected/.emacs.d/elpa/org-20190708/org-irc hides /package/tex=
t/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/org-irc
/home/data1/protected/.emacs.d/elpa/org-20190708/org-macs hides /package/te=
xt/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/org-macs
/home/data1/protected/.emacs.d/elpa/org-20190708/org-agenda hides /package/=
text/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/org-agenda
/home/data1/protected/.emacs.d/elpa/org-20190708/ox-org hides /package/text=
/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ox-org
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-C hides /package/text/e=
macs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-C
/home/data1/protected/.emacs.d/elpa/org-20190708/org-install hides /package=
/text/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/org-install
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-makefile hides /package=
/text/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-makefile
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-java hides /package/tex=
t/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-java
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-org hides /package/text=
/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-org
/home/data1/protected/.emacs.d/elpa/org-20190708/org-table hides /package/t=
ext/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/org-table
/home/data1/protected/.emacs.d/elpa/org-20190708/ob hides /package/text/ema=
cs-2019-07-18/share/emacs/27.0.50/lisp/org/ob
/home/data1/protected/.emacs.d/elpa/org-20190708/org-info hides /package/te=
xt/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/org-info
/home/data1/protected/.emacs.d/elpa/org-20190708/org-id hides /package/text=
/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/org-id
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-eval hides /package/tex=
t/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-eval
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-clojure hides /package/=
text/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-clojure
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-ledger hides /package/t=
ext/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-ledger
/home/data1/protected/.emacs.d/elpa/org-20190708/org-w3m hides /package/tex=
t/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/org-w3m
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-shen hides /package/tex=
t/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-shen
/home/data1/protected/.emacs.d/elpa/org-20190708/org-docview hides /package=
/text/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/org-docview
/home/data1/protected/.emacs.d/elpa/org-20190708/ox-ascii hides /package/te=
xt/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ox-ascii
/home/data1/protected/.emacs.d/elpa/org-20190708/ox-publish hides /package/=
text/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ox-publish
/home/data1/protected/.emacs.d/elpa/org-20190708/ox-texinfo hides /package/=
text/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ox-texinfo
/home/data1/protected/.emacs.d/elpa/org-20190708/org-duration hides /packag=
e/text/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/org-duration
/home/data1/protected/.emacs.d/elpa/org-20190708/org-colview hides /package=
/text/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/org-colview
/home/data1/protected/.emacs.d/elpa/org-20190708/org-datetree hides /packag=
e/text/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/org-datetree
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-vala hides /package/tex=
t/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-vala
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-table hides /package/te=
xt/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-table
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-tangle hides /package/t=
ext/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-tangle
/home/data1/protected/.emacs.d/elpa/org-20190708/org-pcomplete hides /packa=
ge/text/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/org-pcomplete
/home/data1/protected/.emacs.d/elpa/org-20190708/org-version hides /package=
/text/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/org-version
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-R hides /package/text/e=
macs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-R
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-picolisp hides /package=
/text/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-picolisp
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-lua hides /package/text=
/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-lua
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-keys hides /package/tex=
t/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-keys
/home/data1/protected/.emacs.d/elpa/org-20190708/ox-odt hides /package/text=
/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ox-odt
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-awk hides /package/text=
/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-awk
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-exp hides /package/text=
/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-exp
/home/data1/protected/.emacs.d/elpa/org-20190708/ox-md hides /package/text/=
emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ox-md
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-abc hides /package/text=
/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-abc
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-ocaml hides /package/te=
xt/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-ocaml
/home/data1/protected/.emacs.d/elpa/org-20190708/org-crypt hides /package/t=
ext/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/org-crypt
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-python hides /package/t=
ext/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-python
/home/data1/protected/.emacs.d/elpa/org-20190708/ox-html hides /package/tex=
t/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ox-html
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-matlab hides /package/t=
ext/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-matlab
/home/data1/protected/.emacs.d/elpa/org-20190708/org-attach hides /package/=
text/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/org-attach
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-hledger hides /package/=
text/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-hledger
/home/data1/protected/.emacs.d/elpa/org-20190708/org-loaddefs hides /packag=
e/text/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/org-loaddefs
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-octave hides /package/t=
ext/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-octave
/home/data1/protected/.emacs.d/elpa/org-20190708/org-ctags hides /package/t=
ext/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/org-ctags
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-asymptote hides /packag=
e/text/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-asymptote
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-ditaa hides /package/te=
xt/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-ditaa
/home/data1/protected/.emacs.d/elpa/org-20190708/org-gnus hides /package/te=
xt/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/org-gnus
/home/data1/protected/.emacs.d/elpa/org-20190708/org-compat hides /package/=
text/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/org-compat
/home/data1/protected/.emacs.d/elpa/org-20190708/org-feed hides /package/te=
xt/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/org-feed
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-J hides /package/text/e=
macs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-J
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-shell hides /package/te=
xt/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-shell
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-lilypond hides /package=
/text/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-lilypond
/home/data1/protected/.emacs.d/elpa/org-20190708/org-rmail hides /package/t=
ext/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/org-rmail
/home/data1/protected/.emacs.d/elpa/org-20190708/org-element hides /package=
/text/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/org-element
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-io hides /package/text/=
emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-io
/home/data1/protected/.emacs.d/elpa/org-20190708/org-faces hides /package/t=
ext/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/org-faces
/home/data1/protected/.emacs.d/elpa/org-20190708/org-capture hides /package=
/text/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/org-capture
/home/data1/protected/.emacs.d/elpa/org-20190708/org-eshell hides /package/=
text/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/org-eshell
/home/data1/protected/.emacs.d/elpa/org-20190708/org-lint hides /package/te=
xt/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/org-lint
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-lisp hides /package/tex=
t/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-lisp
/home/data1/protected/.emacs.d/elpa/org-20190708/org-clock hides /package/t=
ext/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/org-clock
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-ebnf hides /package/tex=
t/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-ebnf
/home/data1/protected/.emacs.d/elpa/org-20190708/org-mobile hides /package/=
text/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/org-mobile
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-scheme hides /package/t=
ext/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-scheme
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-latex hides /package/te=
xt/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-latex
/home/data1/protected/.emacs.d/elpa/org-20190708/ob-emacs-lisp hides /packa=
ge/text/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ob-emacs-lisp
/home/data1/protected/.emacs.d/elpa/org-20190708/org-mouse hides /package/t=
ext/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/org-mouse
/home/data1/protected/.emacs.d/elpa/org-20190708/ox-icalendar hides /packag=
e/text/emacs-2019-07-18/share/emacs/27.0.50/lisp/org/ox-icalendar
/home/data1/protected/.emacs.d/elpa/flim-20190526.1034/ntlm hides /package/=
text/emacs-2019-07-18/share/emacs/27.0.50/lisp/net/ntlm
/home/data1/protected/.emacs.d/elpa/flim-20190526.1034/sasl-digest hides /p=
ackage/text/emacs-2019-07-18/share/emacs/27.0.50/lisp/net/sasl-digest
/home/data1/protected/.emacs.d/elpa/flim-20190526.1034/hmac-md5 hides /pack=
age/text/emacs-2019-07-18/share/emacs/27.0.50/lisp/net/hmac-md5
/home/data1/protected/.emacs.d/elpa/flim-20190526.1034/sasl-cram hides /pac=
kage/text/emacs-2019-07-18/share/emacs/27.0.50/lisp/net/sasl-cram
/home/data1/protected/.emacs.d/elpa/flim-20190526.1034/sasl hides /package/=
text/emacs-2019-07-18/share/emacs/27.0.50/lisp/net/sasl
/home/data1/protected/.emacs.d/elpa/flim-20190526.1034/hmac-def hides /pack=
age/text/emacs-2019-07-18/share/emacs/27.0.50/lisp/net/hmac-def
/home/data1/protected/.emacs.d/elpa/flim-20190526.1034/sasl-ntlm hides /pac=
kage/text/emacs-2019-07-18/share/emacs/27.0.50/lisp/net/sasl-ntlm

Features:
(calc-map calc-stat calc-vec erc-pcomplete elfeed-link cal-iso tetris
gamegrid elfeed-show elfeed-search elfeed-csv elfeed elfeed-curl
elfeed-log elfeed-db elfeed-lib xml-query 2048-game cal-china cal-bahai
cal-islam cal-hebrew lunar solar cal-dst cursor-sensor calc-trail
calccomp calc-aent calc-units calc-stuff calc-math calc-misc calc-alg
calc-ext calc-menu shadowfile recentf plstore ange-ftp cus-theme
eieio-custom wid-browse windmove whitespace vcursor ruler-mode reveal
repeat org-protocol linum ibuffer ibuffer-loaddefs follow filesets
filecache emacs-lock display-line-numbers dabbrev cua-base bs autorevert
filenotify autoinsert man ebnf2ps bib-mode ses unsafep newst-backend
ispell htmlfontify htmlfontify-loaddefs erc-goodies erc erc-backend
erc-compat erc-loaddefs calculator calc calc-loaddefs calc-macs thumbs
mpc holidays hol-loaddefs slime-tests ert time shadow emacsbug rng-xsd
xsd-regexp rng-cmpct rng-nxml rng-valid rng-loc rng-uri rng-parse
nxml-parse rng-match rng-dt rng-util rng-pttrn nxml-ns nxml-mode
nxml-outln nxml-rap nxml-util nxml-enc xmltok wdired markdown-mode
org-archive org-capture ob-ditaa org-clock org-colview org-crypt
org-habit org-indent plain-tex texmathp preview prv-emacs tex-buf
font-latex latex latex-flymake flymake-proc flymake tex-ispell tex-style
tex tex-mode latexenc rect unrmail rmail-spam-filter rmailedit rmailsort
undigest mutt conf-mode cal-move epa-file peep-dired thai-util thai-word
lao-util enriched org-agenda org-eww org-rmail org-mhe org-irc org-info
org-gnus nnir org-docview org-bibtex bibtex org-bbdb org-w3m hi-lock
hilit-chg helm-ring helm-elisp helm-eval helm-info tramp-adb
tramp-archive tramp-cache tramp-cmds tramp-ftp tramp-gvfs cl-indent
rcirc grep url-file url-dired mhtml-mode css-mode js pcmpl-unix
pcmpl-linux bookmark sh-script executable em-rebind em-smart wordnut
wordnut-history wordnut-u imenu em-tramp gforth forth-interaction-mode
forth-mode forth-spec forth-smie pcase smie forth-syntax names edebug
autoload tar-mode mm-archive compare-w helm-system-packages-pacman
hashcash ecomplete goto-addr jabber-rtt jabber-otr dired-aux view
image-file image-dired ps-print ps-print-loaddefs ps-def lpr tabify
handwrite slime etags fileloop xref project arc-mode archive-mode
hyperspec macros strokes talk network-stream url-cache webjump
completion macrostep-c cmacexp macrostep cc-mode cc-fonts cc-guess
cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs cl-print
debug backtrace tutorial let-alist md4rd tree-mode tree-widget request
hierarchy eww mm-url url-queue magit-utils face-remap mule-util
eieio-opt skeleton apropos finder lisp-mnt jabber-keepalive jabber-ping
sasl-digest hex-util hmac-md5 jabber jabber-notifications notifications
jabber-libnotify dbus jabber-awesome jabber-osd jabber-wmii
jabber-xmessage jabber-festival jabber-sawfish jabber-ratpoison
jabber-tmux jabber-screen jabber-socks5 jabber-ft-server
jabber-si-server jabber-ft-client jabber-ft-common jabber-si-client
jabber-si-common jabber-feature-neg jabber-truncate jabber-time
jabber-autoaway jabber-vcard-avatars jabber-chatstates jabber-events
jabber-vcard jabber-avatar jabber-activity jabber-watch jabber-modeline
jabber-ahc-presence jabber-ahc jabber-version jabber-ourversion
jabber-muc-nick-completion hippie-exp jabber-browse jabber-search
jabber-register jabber-roster jabber-presence jabber-muc
jabber-bookmarks jabber-private jabber-muc-nick-coloring hexrgb
jabber-widget jabber-disco jabber-chat jabber-history jabber-chatbuffer
jabber-alert jabber-iq jabber-core jabber-console sgml-mode ewoc
jabber-keymap jabber-sasl sasl sasl-anonymous sasl-login sasl-plain fsm
jabber-logon jabber-conn srv dns starttls tls gnutls jabber-xml
jabber-menu jabber-util mml1991 misearch multi-isearch rmailkwd
smerge-mode diff proced rmailout quail winner helm-mode helm-files
helm-buffers helm-occur helm-tags helm-locate helm-grep helm-regexp
helm-utils helm-help helm-types bbdb-com crm bbdb bbdb-site timezone
mail-extr pp elec-pair help-fns radix-tree cus-edit em-unix em-term term
disp-table ehelp em-script em-prompt em-ls em-hist em-pred em-glob
em-dirs esh-var em-cmpl em-basic em-banner em-alias esh-mode qp rmailsum
shr-color shr svg dom vc-git diff-mode rmailmm warnings ob-dot
ob-plantuml ob-sql paren savehist ivy delsel colir color ivy-overlay
ffap guide-key s popwin dash cus-start cus-load emms-librefm-stream
emms-librefm-scrobbler emms-playlist-limit emms-volume
emms-volume-amixer emms-i18n emms-history emms-score emms-stream-info
emms-metaplaylist-mode emms-bookmarks emms-cue emms-mode-line-icon
emms-browser sort emms-playlist-sort emms-last-played emms-player-xine
emms-player-mpd tq emms-playing-time emms-lyrics emms-url emms-streams
emms-show-all emms-tag-editor emms-mark emms-mode-line emms-cache
emms-info-opusinfo emms-info-ogginfo emms-info-mp3info emms-info
later-do emms-playlist-mode emms-player-vlc emms-player-mpv
emms-player-mplayer emms-player-simple emms-source-playlist
emms-source-file locate emms-setup emms emms-compat rcd-sent-folder
gold-price rcd/business rx cl-extra help-mode org-id dired-x
rcd/percentages rcd/utilities rcd-db pq time-stamp units mutt-alias
festival persistent-scratch google-translate google-translate-default-ui
google-translate-core-ui google-translate-core google-translate-tk
google-translate-backend helm-system-packages helm helm-source
helm-multi-match helm-lib async tramp-sh tramp tramp-loaddefs trampver
tramp-integration files-x tramp-compat shell ls-lisp graphviz-dot-mode
compile auto-compile packed mu4e desktop frameset mu4e-speedbar speedbar
sb-image ezimage dframe mu4e-main mu4e-view thingatpt browse-url
gnus-art mm-uu mml2015 mm-view mml-smime smime dig gnus-sum gnus-group
gnus-undo gnus-start gnus-cloud nnimap nnmail mail-source utf7 netrc
nnoo gnus-spec gnus-int gnus-range gnus-win gnus nnheader wid-edit
mu4e-headers mu4e-compose mu4e-context mu4e-draft mu4e-actions rfc2368
smtpmail mu4e-mark mu4e-message flow-fill mu4e-proc mu4e-utils doc-view
jka-compr image-mode mu4e-lists mu4e-vars message sendmail rfc822 mml
mml-sec epa derived epg gnus-util rmail rmail-loaddefs
text-property-search mm-decode mm-bodies mm-encode mail-utils gmm-utils
mailheader hl-line mu4e-meta mh-e mh-compat mailabbrev mh-buffers
mh-loaddefs eshell esh-cmd esh-ext esh-opt esh-proc esh-io esh-arg
esh-module esh-groups esh-util identica-mode url-http url-auth
mail-parse rfc2231 rfc2047 rfc2045 mm-util ietf-drums mail-prsvr url-gw
nsm rmc puny url url-proxy url-privacy url-expand url-methods
url-history url-cookie url-domsuf url-util mailcap parse-time xml dired
dired-loaddefs edmacro exwm-config ido exwm exwm-input xcb-keysyms
xcb-xkb exwm-manage exwm-floating xcb-cursor xcb-render exwm-layout
exwm-workspace exwm-core xcb-ewmh xcb-icccm xcb xcb-xproto xcb-types
xcb-debug kmacro server finder-inf org-element avl-tree generator
orgtbl-ascii-plot org-table org ob ob-ref ob-lob ob-table ob-exp
org-macro org-footnote org-pcomplete pcomplete org-list org-faces
org-entities time-date noutline outline easy-mmode org-version
ob-emacs-lisp org-loaddefs find-func cal-menu calendar cal-loaddefs
ob-tangle org-src ob-comint comint ansi-color ring ob-keys ob-core
ob-eval org-compat org-macs format-spec org-install gh-common marshal
eieio-compat advice slime-autoloads cl tex-site info package easymenu
epg-config url-handlers url-parse auth-source cl-seq eieio eieio-core
cl-macs eieio-loaddefs password-cache json subr-x map url-vars seq
byte-opt gv bytecomp byte-compile cconv cl-loaddefs cl-lib tooltip eldoc
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel term/x-win
x-win term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow isearch timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads dbusbind inotify lcms2 dynamic-setting
system-font-setting font-render-setting x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 16 3749296 255601)
 (symbols 48 90729 209)
 (strings 32 692673 72779)
 (string-bytes 1 39144677)
 (vectors 16 180862)
 (vector-slots 8 3157805 250640)
 (floats 8 3704 4076)
 (intervals 56 339383 563)
 (buffers 992 1117))




Acknowledgement sent to Jean Louis <bugs@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#36745; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.